# I3DShInstance.h File Reference

## Classes
struct | MapParams
struct | I3DShInstance
struct | I3DShInstance0
struct | I3DInstanceListener
## Defines
#define | UVMapIndexToMask(index) (1<<index)
## Typedefs
typedef void(* | TextureAvailableProc )(void *privData)
## Enumerations
enum | { kUVMapColor = 1, kUVMapHighlight = 2, kUVMapShininess = 4, kUVMapBump = 8, kUVMapReflection = 16, kUVMapTransparency = 32, kUVMapRefraction = 64, kUVMapGlow = 128 }
enum | EChannelIndex { kUVMapColorIndex, kUVMapAlphaIndex, kUVMapHighlightIndex, kUVMapShininessIndex, kUVMapBumpIndex, kUVMapReflectionIndex, kUVMapTransparencyIndex, kUVMapRefractionIndex, kUVMapGlowIndex }
enum | { kNbrUVMapsIndices = 9 }
enum | EBackfaceMode { kShowBackface, kSmartBackface, kHideBackface }
## Functions
| MCDEFINE_GUID_H (IID_I3DShInstance)
| MCDEFINE_GUID_H (IID_I3DShInstance0)
| MCDEFINE_GUID_H (IID_I3DInstanceListener)
| MCDEFINE_GUID_H (CLSID_StandardInstance)

## Define Documentation

#define UVMapIndexToMask | ( | index |  | ) | (1<<index)

## Typedef Documentation

typedef void(* TextureAvailableProc)(void *privData)

## Enumeration Type Documentation

anonymous enum

Enumerator:

  kUVMapColor |
  kUVMapHighlight |
  kUVMapShininess |
  kUVMapBump |
  kUVMapReflection |
  kUVMapTransparency |
  kUVMapRefraction |
  kUVMapGlow |

anonymous enum

Enumerator:

  kNbrUVMapsIndices |

enum EBackfaceMode

Enumerator:

  kShowBackface | Always draw the backfaces.
  kSmartBackface | Show the backfaces depending on the orientation.
  kHideBackface | Never show the backfaces.

enum EChannelIndex

Enumerator:

  kUVMapColorIndex |
  kUVMapAlphaIndex |
  kUVMapHighlightIndex |
  kUVMapShininessIndex |
  kUVMapBumpIndex |
  kUVMapReflectionIndex |
  kUVMapTransparencyIndex |
  kUVMapRefractionIndex |
  kUVMapGlowIndex |

## Function Documentation

MCDEFINE_GUID_H | ( | CLSID_StandardInstance |  | ) |

MCDEFINE_GUID_H | ( | IID_I3DInstanceListener |  | ) |

MCDEFINE_GUID_H | ( | IID_I3DShInstance0 |  | ) |

MCDEFINE_GUID_H | ( | IID_I3DShInstance |  | ) |